config/routes.rb
Rails.application.routes.draw do
  devise_for :users
  root to: 'staff/dashboard#show' 
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html

  namespace :staff do
    resource :dashboard, controller: :dashboard do
      collection do
        get :tats
        get :reports
        get :staffs_report
        get :executives_report
      end
    end
      resources :cases do
      collection do
        get :upload_file
        post :upload_mapping
        post :upload
        get :search
        put :bulk_assignment
        get :out_of_tats
        get :today_tats
        get :tomorrow_tats
      end
      member do
        get  :mark_approved
        post :upload_attachment
        post :upload_verification_detail
        get :crop_attachment
      end

      resources :attachments
    end
    resources :clients
    resources :users
  end

  namespace :executive do
    resources :cases do
      collection do
        get :verification_completed
        get :print_all
      end
      member do
        post :upload_attachment
        get :template
        post :upload_verification_detail
        get  :mark_verification_completed
        get :redo
        post :set_untraceable
      end
    end
  end
end

app/views/layouts/_header.html.erb
<% if current_user.present? %>
  <% if current_user.role != 'executive' %>
    <div class="main-navbar sticky-top bg-white">
      <nav class="navbar align-items-stretch navbar-light flex-md-nowrap p-0">
            
        <div class="w-100 d-none d-md-flex d-lg-flex">
          <h5 class='logo-container'><%= link_to 'Case Management', staff_dashboard_path, style: "padding-left:10px;" %></h5>
        </div>

        <ul class="navbar-nav flex-row menu-links">
          <li class="text-center border-left">
            <%= link_to "Cases", staff_cases_path, class: "nav-link nav-link-icon text-center" %>
          </li>
          <li class="text-center border-left">
            <%= link_to "Users", staff_users_path, class: "nav-link nav-link-icon text-center" %>
          </li>
          <li class="text-center border-left">
            <%= link_to "Clients", staff_clients_path, class: "nav-link nav-link-icon text-center" %>
          </li>
        </ul>

        <ul class="navbar-nav border-left flex-row">
          <li class="nav-item dropdown">
            <% if current_user.present? %>
              <%= link_to '#', class: 'nav-link dropdown-toggle text-nowrap px-3', 'data-toggle': 'dropdown', 'role': 'button', 'aria-haspopup': 'true', 'aria-expanded': 'false' do %>
                <%= image_tag current_user.photo.url, class: 'user-avatar rounded-circle mr-2' %>
                <span class="d-none d-md-inline-block"><%= current_user.name || current_user.email %></span>
              <% end %>
            
              <div class="dropdown-menu dropdown-menu-small" style="display: none;">
                <%= link_to destroy_user_session_path, method: :delete,  class: 'dropdown-item text-danger' do %>
                  <i class="material-icons text-danger"></i> Logout 
                <% end %>
              </div>
            <% end %>
          </li>
        </ul>

      </nav>
    </div>
  <% end %>

  <% if current_user.role == 'executive' %>
    <div class="main-navbar sticky-top bg-white">
      <nav class="navbar align-items-stretch navbar-light flex-md-nowrap p-0">
              
        <div class="w-100 d-none d-md-flex d-lg-flex">
          <h5 class='logo-container'><%= link_to 'Case Management', executive_cases_path, style: "padding-left:10px;" %></h5>
        </div>

        <ul class="navbar-nav flex-row menu-links">
          <li class="text-center border-left">
            <%= link_to "Assigned Cases", executive_cases_path, class: "nav-link nav-link-icon text-center", style: "white-space: nowrap; padding: 0 5px;"  %>
          </li>
          <li class="text-center border-left">
            <%= link_to "Verified Cases", verification_completed_executive_cases_path, class: "nav-link nav-link-icon text-center", style: "white-space: nowrap; padding: 0 5px;" %>
          </li>
          
        </ul>

        <ul class="navbar-nav border-left flex-row">
          <li class="nav-item dropdown">
            <% if current_user.present? %>
              <%= link_to '#', class: 'nav-link dropdown-toggle text-nowrap px-3', 'data-toggle': 'dropdown', 'role': 'button', 'aria-haspopup': 'true', 'aria-expanded': 'false' do %>
                <%= image_tag current_user.photo.url, class: 'user-avatar rounded-circle mr-2' %>
                <span class="d-none d-md-inline-block"><%= current_user.name || current_user.email %></span>
              <% end %>
            
              <div class="dropdown-menu dropdown-menu-small" style="display: none;">
                <%= link_to destroy_user_session_path, method: :delete,  class: 'dropdown-item text-danger' do %>
                  <i class="material-icons text-danger"></i> Logout 
                <% end %>
              </div>
            <% end %>
          </li>
        </ul>
      </nav>
    </div>
  <% end %>
<% end %>

app/views/layouts/_sidebar.html.erb
<% if current_user.present? and !@nosidebar %>

  <% if current_user.role == 'staff' %>
  <aside class="main-sidebar col-12 col-md-3 col-lg-2 px-0">
    <div class="main-navbar">
      <nav class="navbar align-items-stretch navbar-light bg-white flex-md-nowrap border-bottom p-0">
        <a class="navbar-brand w-100 mr-0" href="#" style="line-height: 25px;">
          <div class="d-table m-auto">
            <span class="d-none d-md-inline ml-1">Dashboard</span>
          </div>
        </a>
        <a class="toggle-sidebar d-sm-inline d-md-none d-lg-none">
        </a>
      </nav>
    </div>
    <form action="#" class="main-sidebar__search w-100 border-right d-sm-flex d-md-none d-lg-none">
      <div class="input-group input-group-seamless ml-3">
        <div class="input-group-prepend">
          <div class="input-group-text">
            <i class="fas fa-search"></i>
          </div>
        </div>
        <input class="navbar-search form-control" type="text" placeholder="Search for something..." aria-label="Search">
      </div>
    </form>
    <div class="nav-wrapper">
      <ul class="nav flex-column">
        <li class="nav-item">
          <%= link_to '', class: "nav-link active" do %>
            <i class="material-icons">edit</i>
            <span>Dashboard</span>
          <% end %>
        </li>
        <li class="nav-item">
          <%= link_to staff_clients_path, class: "nav-link " do %>
            <i class="material-icons">note_add</i>
            <span>Clients</span>
          <% end %>
        </li>
        <li class="nav-item">
          <%= link_to staff_users_path, class: "nav-link " do %>
            <i class="material-icons">note_add</i>
            <span>Users</span>
          <% end %>
        </li>
        <li class="nav-item">
          <%= link_to staff_cases_path, class: "nav-link " do %>
            <i class="material-icons">view_module</i>
            <span>Cases</span>
          <% end %>
        </li>
        <li class="nav-item">
          <a class="nav-link " href="tables.html">
            <i class="material-icons">table_chart</i>
            <span>Tables</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link " href="user-profile-lite.html">
            <i class="material-icons">person</i>
            <span>User Profile</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link " href="errors.html">
            <i class="material-icons">error</i>
            <span>Errors</span>
          </a>
        </li>
      </ul>
    </div>
  </aside>
<% end %>
<% end %>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>CaseManagement</title>

    <%= stylesheet_link_tag    'https://use.fontawesome.com/releases/v5.0.6/css/all.css' %>
    <%= stylesheet_link_tag    'https://fonts.googleapis.com/icon?family=Material+Icons' %>
    <%= stylesheet_link_tag    'https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css' %>
    <%= stylesheet_link_tag    'application', media: 'all' %>

    <%= javascript_include_tag 'https://buttons.github.io/buttons.js' %>
    <%= javascript_include_tag 'https://code.jquery.com/jquery-3.3.1.min.js' %>
    <%= javascript_include_tag 'https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js' %>
    <%= javascript_include_tag 'https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js' %>
    <%= javascript_include_tag 'https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.1/Chart.min.js' %>
    <%= javascript_include_tag 'https://unpkg.com/shards-ui@latest/dist/js/shards.min.js' %>
    <%= javascript_include_tag 'https://cdnjs.cloudflare.com/ajax/libs/Sharrre/2.0.1/jquery.sharrre.min.js' %>

    <link rel="stylesheet" href="http://jcrop-cdn.tapmodo.com/v0.9.12/css/jquery.Jcrop.min.css">
    <script src="http://jcrop-cdn.tapmodo.com/v0.9.12/js/jquery.Jcrop.min.js"></script>

    <%= javascript_include_tag 'application'%>

    <%= csrf_meta_tag %>
    <%= yield :meta_content %>

    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalabele=no" />
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="mobile-web-app-capable" content="yes">
    <link rel="manifest" href="/manifest.json">

  </head>

  <body class="h-100">

        <%#= render 'layouts/sidebar' %>
        <main class="main-content ">
          <%= render 'layouts/header' %>
          <div style="padding: 10px; overflow: hidden;">
            <% if flash[:notice] %>
              <div class="alert alert-info text-center">
                <%= flash[:notice] %>
              </div>
            <% end %>

            <%= yield %>
          </div>
        </main>

  </body>

</html>

app/views/layouts/print.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>
    </title>
    <style>
      table {
        table-layout: fixed;
        max-width: 2480px;
        border-collapse: collapse;
        border-spacing: 1px;
        width: 100%; 
        font-size: 12px; 
      }
      td {
        padding: 5px;
        font-weight: bold;
      }

      td span{
        font-weight: normal;
      }

      th {
        padding: 5px;
      }

      @media print {
        #printPageButton {
        display: none;
        }
      }

      .format4 {
        text-align: center; 
        table-layout: auto; 
        font-size: 12px;

      }

      .format4 td {
        padding: 1px;
      }

    </style>
  </head>

  <body>
    <div style="width: 800px; margin: auto; ">
      <%= yield %>
    </div>
  </body>